Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine
Class DestroyTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.turbine.test.BaseTestCase
                  org.apache.turbine.DestroyTest

All Implemented Interfaces:
  junit.framework.Test

    public class DestroyTest

extends BaseTestCase

Can we call "destroy" unconditionally on our Turbine Servlet, even if it hasn't configured?

Version:
  $Id: DestroyTest.java 615328 2008-01-25 20:25:05Z tv $
Author:
  Henning P. Schmiedehausen

Constructor Summary
`DestroyTest(String name)`

Method Summary
`void` | `testDestroy()`
`void` | `testInitAndDestroy()`

Methods inherited from class org.apache.turbine.test.BaseTestCase
`getMockRequest, getPipelineData, getRunData`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DestroyTest

    public DestroyTest(String name)
                throws Exception

Throws:
  `Exception`

Method Detail

### testDestroy

    public void testDestroy()
                     throws Exception

  Throws:
    `Exception`

### testInitAndDestroy

    public void testInitAndDestroy()
                            throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.